DROP TABLE IF EXISTS condition;
CREATE TABLE condition (
  conditionId varchar(100) default NULL,
  ppcType varchar(50) default NULL,
  ppcId varchar(100) default NULL,
  ppcName varchar(255) default NULL,
  valueHolderName varchar(255) default NULL,
  valueComparator varchar(50) default NULL,
  ppcValue varchar(255) default NULL,
  conditionSetId varchar(100) default NULL,
  ppcDataType varchar(50) default NULL,
  kcId varchar(100) default NULL,
  inferenceType varchar(50) default NULL,
  isReal tinyint default NULL,
  owner tinyint default NULL
);
DROP TABLE IF EXISTS conditionset;
CREATE TABLE conditionset (
  conditionSetId varchar(100) default NULL,
  conditionSetName varchar(255) default NULL,
  condtionSetDescription varchar(255) default NULL,
  ruleId varchar(100) default NULL,
  kcId varchar(100) default NULL,
  inferenceType varchar(50) default NULL
);
DROP TABLE IF EXISTS rule;
CREATE TABLE rule (
  ruleId varchar(100) default NULL,
  ruleFile varchar(255) default NULL,
  kcId varchar(100) default NULL,
  kcName varchar(255) default NULL,
  kcType varchar(50) default NULL,
  inferenceType varchar(50) default NULL,
  ruleName varchar(255) default NULL,
  ruleDescription varchar(255) default NULL,
  inference varchar(255) default NULL,
  inferenceDescription varchar(255) default NULL
);

